import type { TableColumnCtx } from '../../table';
import type { DefaultRow } from '../../table/src/table/defaults';
import type { PropType } from 'vue';
export declare const DefaultPageCfgLayout: string;
export declare const mgTableBorderTypes: readonly ["default", "outer", "full"];
interface MgTableColumnConfig extends Partial<TableColumnCtx<DefaultRow>> {
    slotKey?: string;
}
interface MgTablePageConfig {
    total?: number;
    layout?: string;
}
declare const _default: {
    borderType: {
        type: StringConstructor;
        values: readonly ["default", "outer", "full"];
        default: string;
    };
    cfg: {
        type: PropType<MgTableColumnConfig[]>;
        default: () => never[];
    };
    pageCfg: {
        type: PropType<MgTablePageConfig>;
        default(): {
            total: number;
            layout: string;
        };
    };
};
export default _default;
export type { MgTableColumnConfig, MgTablePageConfig };
