import { defineComponent, ref, openBlock, createElementBlock, Fragment, createVNode, unref, mergeProps, withCtx, renderList, createBlock, normalizeProps, renderSlot } from 'vue';
import { ElTable, ElTableColumn } from '../../table/index.mjs';
import { MgPagination } from '../../mg-pagination/index.mjs';
import '../../../utils/index.mjs';
import '../../../hooks/index.mjs';
import { mgTableProps } from './mg-table.mjs';
import { DefaultPageCfgLayout } from './constant.mjs';
import _export_sfc from '../../../_virtual/plugin-vue_export-helper.mjs';
import { useNamespace } from '../../../hooks/use-namespace/index.mjs';
import { isUndefined } from '../../../utils/types.mjs';

const __default__ = defineComponent({
  name: "MgTable"
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: mgTableProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("table", ref("mg"));
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(unref(ElTable), mergeProps(_ctx.$attrs, {
          border: _ctx.borderType !== "default",
          class: [
            unref(ns).b(),
            {
              [unref(ns).m("outer-border")]: _ctx.borderType === "outer"
            }
          ]
        }), {
          default: withCtx(() => [
            (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.cfg, (item) => {
              return openBlock(), createElementBlock(Fragment, {
                key: item.prop
              }, [
                unref(isUndefined)(item.slotKey) ? (openBlock(), createBlock(unref(ElTableColumn), normalizeProps(mergeProps({ key: 0 }, item)), null, 16)) : renderSlot(_ctx.$slots, item.slotKey, { key: 1 })
              ], 64);
            }), 128))
          ]),
          _: 3
        }, 16, ["border", "class"]),
        createVNode(unref(MgPagination), mergeProps({
          border: "",
          class: [unref(ns).m("page")]
        }, {
          layout: unref(DefaultPageCfgLayout),
          ..._ctx.pageCfg
        }), null, 16, ["class"])
      ], 64);
    };
  }
});
var MyTable = /* @__PURE__ */ _export_sfc(_sfc_main, [["__file", "/Users/chenghsu/Documents/bty/bty-element/packages/components/mg-table/src/mg-table.vue"]]);

export { MyTable as default };
//# sourceMappingURL=mg-table2.mjs.map
